// Obj.h: interface for the Obj class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBJ_H__9C6D6C4D_CEE0_11D4_9792_0050BAC93DA9__INCLUDED_)
#define AFX_OBJ_H__9C6D6C4D_CEE0_11D4_9792_0050BAC93DA9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#pragma warning(disable:4786) 

#include <vector>
#include "circleFile.h"
#include "Ex_Desc_Data.h"
#include "ObjAff.h"

class Obj  
{
public:
	int get_num_exdata();
	bool write_obj(CircleFile *cf);
	Ex_Desc_Data * get_exdata(int x);
	bool delete_exdata(string x);
	void add_exdata(string keywords, string desc);
	int zone;
	int load_obj(CircleFile *cf);
	void bitvector2ascii(char *output, int bitvector);
	int ascii2bitvector(const char *input);
	int rent;
	int cost;
	int weight;
	int value[4];
	int wear;
	int effects;
	int type;
	string adesc;
	string ldesc;
	string sdesc;
	int number;
	string alias;
	vector<Ex_Desc_Data> exdesc;
	ObjAff affs[6];
	Obj();
	virtual ~Obj();

};

#endif // !defined(AFX_OBJ_H__9C6D6C4D_CEE0_11D4_9792_0050BAC93DA9__INCLUDED_)
